SystemOrganization addCategory: #GODFilterTests!

TestCase subclass: #FILTConferenceFilterTest
	instanceVariableNames: 'god godTest2 data'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilterTests'!

!FILTConferenceFilterTest commentStamp: 'lcm 10/31/2014 13:59' prior: 0!
A FILTConferenceFilterTest is a class to test FILTConferenceFilter's methods.

Instance Variables
	data:		<Object>
	god:		<Object>

data
	- xxxxx

god
	- xxxxx
!

!FILTConferenceFilterTest methodsFor: 'initialize-release' stamp: 'CER 11/19/2014 23:19'!
setUp

	god := FILTConferenceFilter new.
	data := OrderedCollection new.

	data add: TUMock new.
	(data last)
	when: #importantDates do: [ ((TUMock new)
		when: #deadlineDate do: [ (Date readFromString: '14 Feb 2015') ];
		when: #endDate do: [ (Date readFromString: '11 Mar 2015') ]) ];
	when: #keywords do: [ 'Nuclear Physics' ].

	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Theory of Computation' ];
	when: #importantDates do: [ ((TUMock new)
		when: #deadlineDate do: [ (Date readFromString: '01 Feb 2015') ];
		when: #startDate do: [ (Date readFromString: '28 Feb 2015')];
		when: #endDate do: [ (Date readFromString: '03 Mar 2015') ]) ];
	when: #keywords do: [ 'Automaton' ].

	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Theory of Computation' ];
	when: #importantDates do: [ ((TUMock new)
		when: #deadlineDate do: [ (Date readFromString: '04 Feb 2015') ];
		when: #startDate do: [ (Date readFromString: '01 Mar 2015')];
		when: #endDate do: [ (Date readFromString: '04 Mar 2015') ]) ];
	when: #keywords do: [ 'Automaton' ].

	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Stochastic Processes and Applications' ];
	when: #importantDates do: [ ((TUMock new)
		when: #deadlineDate do: [ (Date readFromString: '02 Feb 2015') ];
		when: #startDate do: [ (Date readFromString: '01 Mar 2015')];
		when: #endDate do: [ (Date readFromString: '06 Mar 2015') ]) ];
	when: #keywords do: [ 'Statistical' ].

	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Theory of Computation' ];
	when: #importantDates do: [ ((TUMock new)
		when: #deadlineDate do: [ (Date readFromString: '03 Feb 2015') ];
		when: #startDate do: [ (Date readFromString: '01 Mar 2015')];
		when: #endDate do: [ (Date readFromString: '07 Mar 2015') ]) ];
	when: #keywords do: [ 'Graph Theory' ].
	
	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Stochastic Processes and Applications' ];
	when: #importantDates do: [ ((TUMock new)
		when: #deadlineDate do: [ (Date readFromString: '08 Feb 2015') ];
		when: #startDate do: [ (Date readFromString: '06 Mar 2015')];
		when: #endDate do: [ (Date readFromString: '10 Mar 2015') ]) ];
	when: #keywords do: [ 'Statistical' ].
	
	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Stochastic Processes and Applications' ];
	when: #importantDates do: [ ((TUMock new)
		when: #deadlineDate do: [ (Date readFromString: '20 Mar 2015') ];
		when: #startDate do: [ (Date readFromString: '02 Apr 2015')];
		when: #endDate do: [ (Date readFromString: '06 Apr 2015') ]) ];
	when: #keywords do: [ 'Differential and Integral Calculus' ].
	
	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Stochastic Processes and Applications' ];
	when: #importantDates do: [ ((TUMock new)
		when: #deadlineDate do: [ (Date readFromString: '20 Mar 2015') ];
		when: #startDate do: [ (Date readFromString: '02 Apr 2015')];
		when: #endDate do: [ (Date readFromString: '06 Apr 2015') ]) ];
	when: #keywords do: [ 'Calculus' ].
	
	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Stochastic Processes and Applications' ];
	when: #importantDates do: [ ((TUMock new)
		when: #startDate do: [ (Date readFromString: '20 Mar 2015')];
		when: #endDate do: [ (Date readFromString: '24 Mar 2015') ]) ];
	when: #keywords do: [ 'Statistical' ].
	
	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Physics' ];
	when: #importantDates do: [ ((TUMock new)
		when: #deadlineDate do: nil;
		when: #startDate do: [ (Date readFromString: '01 Mar 2015')];
		when: #endDate do: [ (Date readFromString: '05 Mar 2015') ]) ];
	when: #keywords do: [ 'Nuclear Physics' ].
	
	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Physics' ];
	when: #importantDates do: [ ((TUMock new)
		when: #startDate do: [ (Date readFromString: '01 Apr 2015')];
		when: #endDate do: [ (Date readFromString: '05 Apr 2015') ]) ];
	when: #keywords do: nil.
	
	data add: TUMock new.
	(data last)
	when: #categories do: [ 'Physics' ];
	when: #importantDates do: [ ((TUMock new)
		when: #deadlineDate do: [ (Date readFromString: '05 Feb 2015') ];
		when: #startDate do: [ (Date readFromString: '01 Mar 2015')];
		when: #endDate do: [ (Date readFromString: '06 Mar 2015') ]) ];
	when: #keywords do: [ 'Nuclear Physics' ].
! !

!FILTConferenceFilterTest methodsFor: 'tests' stamp: 'CER 11/19/2014 23:09'!
testFilterByGCSearchFilter
	"Test conference filter"
	
	| searchFilter result|

      searchFilter := GCSearchFilter new.
	searchFilter categories: 'Theory of Computation'.
	searchFilter deadlineDate: (Date readFromString: '03 Feb 2015').
	searchFilter startDate: (Date readFromString: '01 Jan 2015').
	searchFilter endDate: (Date readFromString: '07 Mar 2015').
	searchFilter keywords: 'Automaton'.

	result := god filter: data byGCSearchFilter: searchFilter.
	self assert: result size = 1
	
! !

!FILTConferenceFilterTest methodsFor: 'tests' stamp: 'CER 11/19/2014 23:09'!
testFilterByGCSearchFilter02
	"Test conference filter"
	
	| searchFilter result|

	searchFilter := GCSearchFilter new.
	searchFilter categories: 'Stochastic Processes and Applications'.
	searchFilter deadlineDate: (Date readFromString: '10 Feb 2015').
	searchFilter startDate: (Date readFromString: '01 Mar 2015').
	searchFilter endDate: (Date readFromString: '30 Mar 2015').
	searchFilter keywords: 'Statistical'.

	result := god filter: data byGCSearchFilter: searchFilter.
	self assert: result size = 3
	
! !

!FILTConferenceFilterTest methodsFor: 'tests' stamp: 'CER 11/20/2014 11:44'!
testFilterByGCSearchFilter03
	"Search test using 'nil' in the list of conference."
	
	| searchFilter result|

	searchFilter := GCSearchFilter new.
	searchFilter categories: 'Physics'.
	searchFilter deadlineDate: (Date readFromString: '05 Feb 2015').
	searchFilter startDate: (Date readFromString: '01 Mar 2015').
	searchFilter endDate: (Date readFromString: '05 Mar 2015').

	result := god filter: data byGCSearchFilter: searchFilter.
	self assert: result size = 2
	
! !

!FILTConferenceFilterTest methodsFor: 'tests' stamp: 'CER 11/20/2014 11:40'!
testFilterByGCSearchFilter04
	"Search test using more than one keyword."
	
	| searchFilter result|

	searchFilter := GCSearchFilter new.
	searchFilter categories: 'Theory of Computation'.
	searchFilter keywords: 'Automaton'.'Graph Theory'.

	result := god filter: data byGCSearchFilter: searchFilter.
	self assert: result size = 3
	
! !

!FILTConferenceFilterTest methodsFor: 'tests' stamp: 'ym 11/30/2014 16:12'!
testFilterByGCSearchFilterWrongType
	"Test conference filter"
	
	| searchFilter|

	searchFilter := 4.
	self should: [god filter: data byGCSearchFilter: searchFilter] raise: Error! !

!FILTConferenceFilterTest methodsFor: 'tests' stamp: 'ym 11/30/2014 16:12'!
testFilterWrongType
	"Test conference filter"
	
	| searchFilter|

	searchFilter := GCSearchFilter new.
	searchFilter categories: 'Physics'.
	searchFilter deadlineDate: (Date readFromString: '05 Feb 2015').
	searchFilter startDate: (Date readFromString: '01 Mar 2015').
	searchFilter endDate: (Date readFromString: '05 Mar 2015').
	
	self should: [god filter: 4 byGCSearchFilter: searchFilter] raise: Error! !

TestCase subclass: #FILTMainFilterTest
	instanceVariableNames: 'setOfGodData god data'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilterTests'!

FILTMainFilterTest class
	instanceVariableNames: 'gf'!

!FILTMainFilterTest commentStamp: 'lcm 10/31/2014 13:59' prior: 0!
A FILTMainFilterTest is a class to test FILTMainFilter's methods.

Instance Variables
	data:		<Object>
	god:		<Object>
	setOfGodData:		<Object>

data
	- xxxxx

god
	- xxxxx

setOfGodData
	- xxxxx
!

FILTMainFilterTest class
	instanceVariableNames: 'gf'!

!FILTMainFilterTest methodsFor: 'initialize-release' stamp: 'lcm 10/31/2014 16:26'!
setUp
	| mock|

	god := FILTMainFilter new.
	
	
	data := OrderedCollection new.
	mock := TUMock new.
	mock when: #tags do: [ { 'tag1'} ].
	mock when: #content do: [ 'content1' ].
	mock when: #origin do: [ 'origin1' ].
	mock when: #title do: [ 'title1' ].
	data add: mock.	
	mock := TUMock new.
	mock when: #tags do: [ { 'tag2' . 'tag1' } ].
	mock when: #content do: [ 'content2' ].
	mock when: #origin do: [ 'origin2' ].
	mock when: #title do: [ 'title2' ].
	data add: mock.	
	mock := TUMock new.
	mock when: #tags do: [ { 'tag2' . 'tag3' } ].
	mock when: #content do: [ 'content2' ].
	mock when: #origin do: [ 'origin1' ].
	mock when: #title do: [ 'title3' ].
	data add: mock.	
	mock := TUMock new.
	mock when: #tags do: [ { 'tag2'} ].
	mock when: #content do: [ 'content3' ].
	mock when: #origin do: [ 'origin2' ].
	mock when: #title do: [ 'title2' ].
	data add: mock.	! !

!FILTMainFilterTest methodsFor: 'tests' stamp: 'LM 11/11/2014 21:51'!
testFIlterByTag
	| result |
	result := (god filter: data byTags: 'tag1') collect: #tags.
	self assert: result asArray equals:{{#tag1} . {#tag2 . #tag1}}.
	
	result := (god filter: data byTags: 'tag2') collect: #tags.
	self assert: result asArray equals:{{#tag2 . #tag1} . {#tag2 . #tag3} . {#tag2}}! !

!FILTMainFilterTest methodsFor: 'tests' stamp: 'lcm 10/31/2014 16:30'!
testFilterByContent
	| isSuccess result |
	result := (god filter: data byContent: 'content2') collect: #origin.
	isSuccess := true.
	{ 'origin2' . 'origin1' } do: [:each|
	result remove: each ifAbsent: [isSuccess := false]
	].
	self assert: isSuccess.
	
	result := (god filter: data byContent: 'content1') collect: #content.
	isSuccess := true.
	{ 'content1'} do: [:each|
	result remove: each ifAbsent: [isSuccess := false]
	].
	self assert: isSuccess! !

!FILTMainFilterTest methodsFor: 'tests' stamp: 'lcm 10/31/2014 16:30'!
testFilterByOrigin
	| isSuccess result |
	result := (god filter: data byOrigin: 'origin1') collect: #title.
	isSuccess := true.
	{'title1' . 'title3' } do: [:each|
	result remove: each ifAbsent: [isSuccess := false]
	].
	self assert: isSuccess.
	
	result := (god filter: data byOrigin: 'origin2') collect: #origin.
	isSuccess := true.
	{'origin2' . 'origin2'} do: [:each|
	result remove: each ifAbsent: [isSuccess := false]
	].
	self assert: isSuccess! !

!FILTMainFilterTest methodsFor: 'tests' stamp: 'lcm 10/31/2014 16:29'!
testFilterByTitle
	| isSuccess result |
	result := (god filter: data byTitle: 'title3') collect: #title.
	isSuccess := true.
	{ 'title3' } do: [:each|
	result remove: each ifAbsent: [isSuccess := false]
	].
	self assert: isSuccess.
	
	result := (god filter: data byTitle: 'title2') collect: #content.
	isSuccess := true.
	{ 'content2' . 'content3' } do: [:each|
	result remove: each ifAbsent: [isSuccess := false]
	].
	self assert: isSuccess! !

TestCase subclass: #FILTTextFilterTest
	instanceVariableNames: 'text god first expectedfirst expectedsecond newtext newexpected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilterTests'!

!FILTTextFilterTest commentStamp: 'lcm 10/31/2014 13:58' prior: 0!
A FILTTextFilterTest is a class to test FILTTextFilter's methods.

Instance Variables
	expectedfirst:		<Object>
	expectedsecond:		<Object>
	first:		<Object>
	god:		<Object>
	text:		<Object>

expectedfirst
	- xxxxx

expectedsecond
	- xxxxx

first
	- xxxxx

god
	- xxxxx

text
	- xxxxx
!

!FILTTextFilterTest methodsFor: 'initialize-release' stamp: 'lcm 10/31/2014 16:35'!
setUp
	god := 	FILTTextFilter new.	

	text := '
	<div> blablabla
		<div> XXX
			<div> YYY 
			</div>
		</div>
		<div> ZZZ 
		</div>
	</div>'.
	
	expectedfirst := {' blablabla
		' . ' XXX
			' . ' YYY 
			' . '
		' . '
		' . ' ZZZ 
		' . '
	'} asOrderedCollection.
	
	expectedsecond := {' YYY 
			' . ' ZZZ 
		'
	} asOrderedCollection.
	
	newtext := 'blabla xxx bla'.
	newexpected := {} asOrderedCollection.! !

!FILTTextFilterTest methodsFor: 'tests' stamp: 'lcm 10/31/2014 16:36'!
testFilterTextBetweenAnd
	"Teste do mtodo filterText:Between:And:"
	
	| result |
	 
	result := god filterText: text between: 'div>' and:  '<'.
	self assert: result = expectedfirst.
	
	result := god filterText: text between: '<div>' and: '</div>' .
	self assert: result = expectedsecond.
	
	result := god filterText: newtext between: 'bla' and: '<'.
	self assert: result = newexpected.! !

!FILTTextFilterTest methodsFor: 'tests' stamp: 'ym 11/20/2014 07:25'!
testFilterTextBetweenAndWithTextEmpty
	| result expected input |
	input := ''.
	expected := OrderedCollection new.
	result := god filterText: input between: 'a' and: 'b'.
	self assert: result = expected.! !
